#!/bin/bash

# Send some info to stdout, so we can identify the computer runnig the thread :
echo ""
uname -a
cat /proc/cpuinfo
echo ""

# Open-GATE:
export OPENGATE_HOME=/home/users/invite/burg/OpenGate3.1.1

export      GATEHOME=${OPENGATE_HOME}/gate_v3.1.1
export     G4VERSION="8.0"
export     G4INSTALL=${OPENGATE_HOME}/geant4.8.1.p02
export    ECAT7_HOME=${OPENGATE_HOME}/ecat_7
export      LMF_HOME=${OPENGATE_HOME}/lmf_3.0
export       ROOTSYS=${OPENGATE_HOME}/root_5.12

export          PATH=${ROOTSYS}/bin:${PATH}

if [ -n "$LD_LIBRARY_PATH" ] ; then
  export LD_LIBRARY_PATH=${ROOTSYS}/lib:${OPENGATE_HOME}/clhep_1.9.2.3/lib:${LD_LIBRARY_PATH}
else
  export LD_LIBRARY_PATH=${ROOTSYS}/lib:${OPENGATE_HOME}/clhep_1.9.2.3/lib
fi

# cluster mode of gate: (for GJS & GJM)
export GC_DOT_GATE_DIR=${OPENGATE_HOME}/cluster_run/
export GC_GATE_EXE_DIR=${GATEHOME}/bin/Linux-g++/

source ${GATEHOME}/env_gate.sh

# Launch Gate:
cd /home/users/invite/burg/OpenGate3.1.1/gate_v3.1.1/
Gate $1
