#!/bin/tcsh

# Open-GATE:
setenv OPENGATE_HOME	~/OpenGate3.1.1

setenv GATEHOME         ${OPENGATE_HOME}/gate_v3.1.1
setenv G4VERSION        "8.0"
setenv G4INSTALL        ${OPENGATE_HOME}/geant4.8.1.p02
setenv ECAT7_HOME       ${OPENGATE_HOME}/ecat_7
setenv LMF_HOME         ${OPENGATE_HOME}/lmf_3.0
setenv ROOTSYS          ${OPENGATE_HOME}/root_v5.12

setenv PATH             ${ROOTSYS}/bin:${PATH}

if ( ${?LD_LIBRARY_PATH} ) then
 setenv LD_LIBRARY_PATH  ${ROOTSYS}/lib:${OPENGATE_HOME}/clhep_1.9.2.3/lib:${LD_LIBRARY_PATH}
else
 setenv LD_LIBRARY_PATH  ${ROOTSYS}/lib:${OPENGATE_HOME}/clhep_1.9.2.3/lib
endif

# cluster mode of gate: (for GJS & GJM)
setenv GC_DOT_GATE_DIR  ${OPENGATE_HOME}/cluster_run/
setenv GC_GATE_EXE_DIR  ${GATEHOME}/bin/Linux-g++/

rehash
source ${GATEHOME}/env_gate.csh

# Launch Gate:
cd /home/users/invite/burg/OpenGate3.1.1/gate_v3.1.1/
Gate $1
